window.onload = init;
var jogador = "";
var vencidas = 0;
var perdidas = 0;


function init() {

	var binicio = document.getElementById("binicio");
	binicio.onclick = iniciaJogo;

	atualizaPlacar();

	createDebug();
}

function iniciaJogo() {
	play("snd_start");
	var radio = document.getElementsByName("jogador");
	if (radio[0].checked) jogador = "x";
	else jogador = "o";
	mostraMensagem("Incio de Jogo",
		"Jogador Selecionado: " + jogador,
		"Boa sorte!");
	pintaTabuleiro("          ");
}


function pintaTabuleiro(dados) {

	// "xx o x oov"

	for (i=0; i<=8; i++) {
	   var c = dados.substr(i,1);
       var cel = document.getElementById("c" + i);
	   var scel = document.getElementById("c" + i + "s");
	   if (c != " ") {
	      cel.className = c + "sel";
	      scel.style.visibility = "hidden";
	      cel.onclick = "";
   	   }
	   else {
	      cel.className = "";
	      scel.style.visibility = "visible";
	      cel.onclick = click;
	   }
	}

        /* Controla Vitrias / Derrotas */
	var r = dados.substr(9,1);
	if (r == "v") {
	 	play("snd_win");
		mostraMensagem("Voc venceu!",
			"Parabns!",
			"Ser que consegue me vencer novamente?");
	        localStorage.velha_vencidas = Number(localStorage.velha_vencidas)+1;
        	vencidas++;
	}
	else if (r == "p") {
		play("snd_lost");
		mostraMensagem("Voc perdeu!",
			"Que pena!",
			"Desejo mais sorte na prxima vez!");
	        localStorage.velha_perdidas = Number(localStorage.velha_perdidas)+1;
        	perdidas++;
	} else if (r == "e") {
		play("snd_lost");
		mostraMensagem("Deu velha!",
			"Somos bons!",
			"Com o tempo voc pode me superar!");
	}


	if (r != " ") {
  	   for (i=0; i<=8; i++) {
  	      var cel = document.getElementById("c" + i);
  	      var scel = document.getElementById("c" + i + "s");
	      scel.style.visibility = "hidden";
	      cel.onclick = "";
   	   }
	}


    atualizaPlacar();

}


function click() {
	play("snd_pop");
	this.className = jogador+"sel";
}

function atualizaPlacar() {

    if (localStorage.velha_vencidas == null) {
         localStorage.velha_vencidas = 0;
         localStorage.velha_perdidas = 0;
    }
    var div = document.getElementById("status_hoje");
    div.innerHTML = "<strong>Agora</strong> V: " + vencidas + " / P: " + perdidas;
    var div = document.getElementById("status_total");
    div.innerHTML = "<strong>Total</strong> V: " + localStorage.velha_vencidas + " / P: " +     localStorage.velha_perdidas;
}


function mostraMensagem(msg1, msg2, msg3) {

	/* Limpa elementos da janela */
	var area = document.getElementById("jan_texto");
	var head = area.getElementsByTagName("h1");
	if (head.length > 0) area.removeChild(head[0]);
	head = area.getElementsByTagName("h3");
	if (head.length > 0) area.removeChild(head[0]);

	/* Coloca novos elementos na janela */
	var linha2 = document.createElement("h1");
	linha2.innerHTML = msg2;
	var linha3 = document.createElement("h3");
	linha3.innerHTML = msg3;

	var area = document.getElementById("jan_texto");
	area.appendChild(linha2);
	area.appendChild(linha3);

	$( "#janela" ).dialog({
			open : function() {
            			$( "#janela" ).dialog( "option" , "title" , msg1);
      				},
			modal: true,
			buttons: {
				Ok: function () {
					$("#janela").dialog( "close" );
					}
			}
		});

}

function play(id) {
	document.getElementById(id).play();
}


function createDebug() {
   var div = document.createElement("div");
   div.id = "debug";
   div.style.position = "absolute";
   div.style.right = "0px";
   div.style.top = "0px";
   div.style.borderWidth = "2px";
   div.style.borderColor = "blue";
   div.style.borderStyle = "solid";
   div.style.padding = "5px";

   /* Cria Elementos Manualmente */
   var par = document.createElement("p");
   div.appendChild(par);

   var inarea = document.createElement("input");
   inarea.type = "text";
   inarea.id = "dbg_inarea";
   par.appendChild(inarea);

   var bteste = document.createElement("input");
   bteste.type = "button";
   bteste.value = "Testar!";
   bteste.id = "dbg_bteste";
   par.appendChild(bteste);

   /* Cria elementos com innerHTML */
   //div.innerHTML = "<p><input type='text' id='dbg_inarea' /><input type='button' value='teste' id='dbg_bteste'/></p>";//
   //var inarea = document.getElementById("dbg_inarea");
   //var bteste = document.getElementById("dbg_bteste");

   document.body.appendChild(div);

   // Associa funo de debug ao boto
   bteste.onclick = runDebug;

}

function runDebug() {
   var inarea = document.getElementById("dbg_inarea");
   pintaTabuleiro(inarea.value);
}

